/*
 * ControladorDaSimulacao.cpp
 *
 *  Created on: Oct 24, 2009
 *      Author: nando
 */

#include "ControladorDaSimulacao.h"
#include <boost/thread/mutex.hpp>

ControladorDaSimulacao::ControladorDaSimulacao()
{
	init(false);

}

ControladorDaSimulacao::ControladorDaSimulacao(bool terminouSimulacao)
{
	init(terminouSimulacao);

}

ControladorDaSimulacao::~ControladorDaSimulacao()
{
}

void ControladorDaSimulacao::init(bool terminouSimulacao)
{
	acabouSimulacao = terminouSimulacao;
}

bool ControladorDaSimulacao::terminouSimulacao()
{
	//boost::mutex::scoped_lock lock(monitor);
	return acabouSimulacao;
}

void ControladorDaSimulacao::terminaSimulacao()
{
	//boost::mutex::scoped_lock lock(monitor);
	acabouSimulacao = true;
}
