/*
 * ControladorDaSimulacao.h
 *
 *  Created on: Oct 24, 2009
 *      Author: nando
 */

#ifndef CONTROLADORDASIMULACAO_H_
#define CONTROLADORDASIMULACAO_H_

#include <boost/thread/mutex.hpp>

class ControladorDaSimulacao {
public:
	ControladorDaSimulacao();
	ControladorDaSimulacao(bool terminouSimulacao);
	virtual ~ControladorDaSimulacao();
	bool terminouSimulacao();
	void terminaSimulacao();

private:
	void init(bool terminouSimulacao);
	bool acabouSimulacao;
	boost::mutex monitor;

};

#endif /* CONTROLADORDASIMULACAO_H_ */
