/*************************************************************************//**
* \class	PropTecido
* \brief 	Propriedades de um tecido
* \author	Cyro Albuquerque Neto
* \date		Criação: 18/08/2008
* \date		Revisão: 03/06/2009
*****************************************************************************/

#ifndef PROPTECIDOH
#define PROPTECIDOH

#include <vector>

using namespace std;

class PropTecido 
{
public:

	/** Atribui valores a todas propriedades de um tecido
	 */
	void Inicializa(vector<double> lProp) {
		densidade = lProp[0];
		calorEsp = lProp[1];
		condTerm = lProp[2];
		vazSangue = lProp[3];
		gerCalor = lProp[4];
		quocResp = lProp[5];
		tempBasal = lProp[6];
        inclinacaoCurvaCO2 = lProp[7];
        relVolPeqVasos = lProp[8];
	}

	double densidade, 
		   calorEsp, 
		   condTerm, 
		   vazSangue, 
		   gerCalor, 
		   quocResp, 
		   tempBasal,
           inclinacaoCurvaCO2,
           relVolPeqVasos;
private:

};

#endif
