/*
 * ThreadPassoCalculo.cpp
 *
 *  Created on: Oct 31, 2009
 *      Author: nando
 */

#include "ThreadPassoCalculo.h"
#include "ControladorDaSimulacao.h"

extern ControladorDaSimulacao controladorDaSimulacao;
extern boost::mutex ioMutex;

void ThreadPassoCalculo::operator ()()
{

	time_t tempo;

	double tempoTotal = 0.0;
	bool terminouSimulacao = false;

	int const tam = lSegId.size();

	double tempoCalcTemp[tam];
	double tempoCalcPressao[tam];

	for ( int j = 0; j < tam; ++j)
	{
		tempoCalcTemp[j] = 0.0;
		tempoCalcPressao[j] = 0.0;
	}

	for ( int i = 0; i < lSegId.size(); ++i )
	{
		lSegmento[lSegId[i]]->totTempoCTC = 0.0;
		lSegmento[lSegId[i]]->totTempoAM = 0.0;
		lSegmento[lSegId[i]]->totTempoCTV = 0.0;
		lSegmento[lSegId[i]]->totTempoCTA = 0.0;
		lSegmento[lSegId[i]]->totTempoCTCT = 0.0;
		lSegmento[lSegId[i]]->totTempoCorpoCTC= 0.0;
		lSegmento[lSegId[i]]->totTtempoACV = 0.0;
	}

	while ( !terminouSimulacao )
	{
			barreiraDefinicaoEscopoProximaIteracao->wait();
			terminouSimulacao = controladorDaSimulacao.terminouSimulacao();

			if ( !terminouSimulacao )
			{
				for ( int i = 0; i < lSegId.size(); ++i )
				{
//					if ( lSegmento[lSegId[i]]->getNome().compare("PeDir") != 0)
					//if ( true )
//					{
						tempo = time(NULL);
						//lSegmento[lSegId[i]]->PassoCalculo();

						if ( !lSegmento[lSegId[i]]->getAtingiuPrecisaoCalcTemp() ){
							lSegmento[lSegId[i]]->contIt++;
						}



						if ( !lSegmento[lSegId[i]]->getAtingiuPrecisaoCalcTemp() ||
/* MOD(N)	*/					lSegmento[lSegId[i]]->contador % 1 == 0)
						{
							time_t tt = time(NULL);
							lSegmento[lSegId[i]]->PassoCalculoTemperatura();
							tempoCalcTemp[i] += ( time(NULL) - tt);
						}


						lSegmento[lSegId[i]]->AtualizaEntreCalculos();

						if ( true)//!lSegmento[lSegId[i]]->getAtingiuPrecisaoCalcPressao() )
						{
							time_t tp = time(NULL);
							lSegmento[lSegId[i]]->PassoCalculoPressao();
							tempoCalcPressao[i] += ( time(NULL) - tp);
						}

						lSegmento[lSegId[i]]->contador++;
						tempoTotal += (time(NULL) - tempo);
//					}
				}

				barreiraSincronizacaoDeCalculo->wait();
			}
	}
	{
		boost::mutex::scoped_lock lock(ioMutex);
		cout << "| TempoPassoCalc:: " << lSegmento[lSegId[0]]->getNome() << " :: " << tempoTotal << " s |" <<  endl;
		//cout << "| TempoPassoCalc:: " << " :: " << tempoTotal << " s |" <<  endl;
		for ( int i = 0; i < lSegId.size(); ++i )
		{
			cout << "| " << lSegmento[lSegId[i]]->getNome() << " | " << tempoCalcTemp[i] << " s |" << " | " << tempoCalcPressao[i] << " s |" << lSegmento[lSegId[i]]->totTempoCTC << lSegmento[lSegId[i]]->totTempoAM << lSegmento[lSegId[i]]->totTempoCTV << lSegmento[lSegId[i]]->totTempoCTA<< "|" << lSegmento[lSegId[i]]->totTempoCTCT << "|" << lSegmento[lSegId[i]]->totTempoCorpoCTC << " | " << lSegmento[lSegId[i]]->totTtempoACV << " | " << lSegmento[lSegId[i]]->contIt << endl;
		}
	}
	barreiraSincronizaFimSimulacao->wait();
}

ThreadPassoCalculo::~ThreadPassoCalculo() {
	// TODO Auto-generated destructor stub
}
