/*
 * ThreadPassoCalculo.h
 *
 *  Created on: Oct 31, 2009
 *      Author: nando
 */

#ifndef THREADPASSOCALCULO_H_
#define THREADPASSOCALCULO_H_

#include <boost/thread/thread.hpp>
#include <boost/thread/barrier.hpp>
#include "segmento.h"
#include "definicao.h"

class ThreadPassoCalculo {
public:
	ThreadPassoCalculo(vector<Segmento*> & lSeg, vector<int> segsId,  boost::barrier* barreiraEscopo ,boost::barrier* barreiraSincCalculo, boost::barrier* fimSimu) :
			lSegmento(lSeg), lSegId(segsId), barreiraDefinicaoEscopoProximaIteracao(barreiraEscopo),  barreiraSincronizacaoDeCalculo(barreiraSincCalculo), barreiraSincronizaFimSimulacao(fimSimu) {}
	virtual ~ThreadPassoCalculo();
	void operator()();

private:
	vector<int> lSegId;
	vector<Segmento*>& lSegmento;
	boost::barrier* barreiraSincronizacaoDeCalculo;
	boost::barrier* barreiraSincronizaFimSimulacao;
	boost::barrier*	barreiraDefinicaoEscopoProximaIteracao;
};

#endif /* THREADPASSOCALCULO_H_ */
